/* Nemesis
 * Copyright (C) 1999 John Ferlito <johnf@inodes.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _INTERFACE_H_
#define _INTERFACE_H_

#include <gtk/gtk.h>

/* Defines */

/* Seedy Max dir length size */
#define DIRSIZE		50
/* Default FPS */
#define FRAMES	5
/* Size for filename */
#define ZEROS	6
#define MAX_FILE 20
/* Just in case it ever changes :) */
#define HOURS_IN_DAY 24

/* Global Vars */

/* Array to keep hourly dirs */
extern char dirs[HOURS_IN_DAY][DIRSIZE];
/* number of frames per second */
extern int fps;
/* Number of hour dirs */
extern int num_dirs;
/* Are we currently playing */
extern int playing;




/* Functions Prototypes */

/* Play Callback */
void play(void);

/* Stop Callback */
void stop(void);

/* Callback for when hour widget is changed */
void hour_change(GtkWidget *spin_hour);

/* Callback for when minute widget is changed */
void min_change(GtkWidget *spin_min, gpointer data);

/* Callback for when second widget is changed */
void sec_change(GtkWidget *spin_sec, gpointer data);

/* Callback for when tenth of a second widget is changed */
void tenth_change(GtkWidget *spin_tenth, gpointer data);

/* Function added to idle loop to do the actual playing */
void idle_play(gpointer data);

/* Function added to idle loop if we want to fast forward or rewind */
void idle_fast(gpointer data);

/* Rewind Callback */
void rewind_pressed(void);

/* Fast Forward Callback */
void forward_pressed(void);

/* Callback when fast forward or rewind button is released 
 * removes idle fast from idle loop 
 */
void for_rew_released(void);

/* Updates the onscreen clock */
int update_clock(gpointer data);

void snapshot_window(void);

void snapshot_work(GtkWidget *dialog);

void save_window(void);

void save_image(GtkWidget *w, GtkFileSelection *fs);

#endif _INTERFACE_H_
