/* Nemesis
 * Copyright (C) 1999 John Ferlito <johnf@inodes.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#include <gtk/gtk.h>
#include <gdk_imlib.h>
#include <gdk/gdk.h>
#include <gdk/gdktypes.h>

void show(char *name, GtkWidget *pixmap)
{

	GdkPixmap *image;
	GdkBitmap *mask;
	
	/* Load the image specified as the first argument */
	if(! gdk_imlib_load_file_to_pixmap(name, &image, &mask)) {
		printf("Failed to load %s\n", name);;
		return;
	}
	
	/* Put the Image in the window, at the window's size and apply a shape mask */
	/* if applicable, or remove one if not */
	gtk_pixmap_set(GTK_PIXMAP(pixmap), image, mask);
	gdk_imlib_free_pixmap(image);
	gdk_imlib_free_bitmap(mask);
	/* Flush the GDK buffer */
	gdk_flush();
}
